petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatPartitioningPTScotchSetStrategy

Sets the strategy to be used in PTScotch.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPTScotchSetStrategy(MatPartitioning part,MPPTScotchStrategyType strategy)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| strategy | - the strategy, one of

         MP_PTSCOTCH_QUALITY     - Prioritize quality over speed
         MP_PTSCOTCH_SPEED       - Prioritize speed over quality
         MP_PTSCOTCH_BALANCE     - Enforce load balance
         MP_PTSCOTCH_SAFETY      - Avoid methods that may fail
         MP_PTSCOTCH_SCALABILITY - Favor scalability as much as possible

### Options Database

-mat_partitioning_ptscotch_strategy [quality,speed,balance,safety,scalability] -strategy

### Notes

The default is MP_SCOTCH_QUALITY. See the PTScotch documentation for more information.

### See Also

MatPartitioningPTScotchSetImbalance(), MatPartitioningPTScotchGetStrategy()

Level:advanced
Location:src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages